<?php
// phpcs:ignoreFile
/**
 * File is ignored by PHPCS as it falsly flags a get_text error.
 */

$custom_alerts = [
    __( 'Yoast SEO', 'activity-log-wp-seo' ) => [
        __( 'Post Changes', 'activity-log-wp-seo' )    => [
            [
                8801,
                WSAL_INFORMATIONAL,
                __( 'User changed title of a post', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>SEO title</strong> of the post %PostTitle% to %NewSEOTitle%.', 'activity-log-wp-seo' ),
                [
                    __( 'Post ID', 'activity-log-wp-seo' ) => '%PostID%',
                    __( 'Post type', 'activity-log-wp-seo' ) => '%PostType%',
                    __( 'Post status', 'activity-log-wp-seo' ) => '%PostStatus%',
                    __( 'Previous title', 'activity-log-wp-seo' ) => '%OldSEOTitle%',
                ],
                [
                    __( 'View the post in editor', 'wp-security-audit-log' ) => '%EditorLinkPost%',
                ],
                'yoast-seo-metabox',
                'modified',
            ],
            [
                8802,
                WSAL_INFORMATIONAL,
                __( 'User changed the meta description of a post', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Meta description</strong> of the post %PostTitle%.', 'activity-log-wp-seo' ),
                [
                    __( 'Post ID', 'activity-log-wp-seo' ) => '%PostID%',
                    __( 'Post type', 'activity-log-wp-seo' ) => '%PostType%',
                    __( 'Post status', 'activity-log-wp-seo' ) => '%PostStatus%',
                    __( 'Previous description', 'activity-log-wp-seo' ) => '%old_desc%',
                    __( 'New description', 'activity-log-wp-seo' ) => '%new_desc%',
                ],
                [
                    __( 'View the post in editor', 'wp-security-audit-log' ) => '%EditorLinkPost%',
                ],
                'yoast-seo-metabox',
                'modified',
            ],
            [
                8803,
                WSAL_INFORMATIONAL,
                __( 'User changed setting to allow search engines to show post in search results of a post', 'activity-log-wp-seo' ),
                __( 'Changed the setting <strong>Allow seach engines to show post in search results</strong> for the post %PostTitle% to %NewStatus%.', 'activity-log-wp-seo' ),
                [
                    __( 'Post ID', 'activity-log-wp-seo' ) => '%PostID%',
                    __( 'Post type', 'activity-log-wp-seo' ) => '%PostType%',
                    __( 'Post status', 'activity-log-wp-seo' ) => '%PostStatus%',
                    __( 'Previous setting', 'activity-log-wp-seo' ) => '%OldStatus%',
                ],
                [
                    __( 'View the post in editor', 'wp-security-audit-log' ) => '%EditorLinkPost%',
                ],
                'yoast-seo-metabox',
                'modified',
            ],
            [
                8804,
                WSAL_INFORMATIONAL,
                __( 'User Enabled/Disabled the option for search engine to follow links of a post', 'activity-log-wp-seo' ),
                __( 'Changed the status of the setting <strong>Search engines to follow links in post</strong> in the post %PostTitle%.', 'activity-log-wp-seo' ),
                [
                    __( 'Post ID', 'activity-log-wp-seo' ) => '%PostID%',
                    __( 'Post type', 'activity-log-wp-seo' ) => '%PostType%',
                    __( 'Post status', 'activity-log-wp-seo' ) => '%PostStatus%',
                ],
                [
                    __( 'View the post in editor', 'wp-security-audit-log' ) => '%EditorLinkPost%',
                ],
                'yoast-seo-metabox',
                'enabled',
            ],
            [
                8805,
                WSAL_LOW,
                __( 'User set the Meta robots advanced setting of a post', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Meta robots advanced</strong> setting for the post %PostTitle% to %NewStatus%.', 'activity-log-wp-seo' ),
                [
                    __( 'Post ID', 'activity-log-wp-seo' ) => '%PostID%',
                    __( 'Post type', 'activity-log-wp-seo' ) => '%PostType%',
                    __( 'Post status', 'activity-log-wp-seo' ) => '%PostStatus%',
                    __( 'Previous setting', 'activity-log-wp-seo' ) => '%OldStatus%',
                ],
                [
                    __( 'View the post in editor', 'wp-security-audit-log' ) => '%EditorLinkPost%',
                ],
                'yoast-seo-metabox',
                'modified',
            ],
            [
                8806,
                WSAL_INFORMATIONAL,
                __( 'User changed the canonical URL of a post', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Canonical URL</strong> of the post %PostTitle%.', 'activity-log-wp-seo' ),
                [
                    __( 'Post ID', 'activity-log-wp-seo' ) => '%PostID%',
                    __( 'Post type', 'activity-log-wp-seo' ) => '%PostType%',
                    __( 'Post status', 'activity-log-wp-seo' ) => '%PostStatus%',
                    __( 'Previous URL', 'activity-log-wp-seo' ) => '%OldCanonicalUrl%',
                    __( 'New URL', 'activity-log-wp-seo' ) => '%NewCanonicalUrl%',
                ],
                [
                    __( 'View the post in editor', 'wp-security-audit-log' ) => '%EditorLinkPost%',
                ],
                'yoast-seo-metabox',
                'modified',
            ],
            [
                8807,
                WSAL_INFORMATIONAL,
                __( 'User changed the focus keyword of a post', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>focus keyword</strong> for the post %PostTitle% to %new_keywords%.', 'activity-log-wp-seo' ),
                [
                    __( 'Post ID', 'activity-log-wp-seo' ) => '%PostID%',
                    __( 'Post type', 'activity-log-wp-seo' ) => '%PostType%',
                    __( 'Post status', 'activity-log-wp-seo' ) => '%PostStatus%',
                    __( 'Previous keyword', 'activity-log-wp-seo' ) => '%old_keywords%',
                ],
                [
                    __( 'View the post in editor', 'wp-security-audit-log' ) => '%EditorLinkPost%',
                ],
                'yoast-seo-metabox',
                'modified',
            ],
            [
                8808,
                WSAL_INFORMATIONAL,
                __( 'User Enabled/Disabled the option Cornerston Content of a post', 'activity-log-wp-seo' ),
                __( 'Changed the setting <strong>Cornerstone content</strong> in the post %PostTitle%.', 'activity-log-wp-seo' ),
                [
                    __( 'Post ID', 'activity-log-wp-seo' ) => '%PostID%',
                    __( 'Post type', 'activity-log-wp-seo' ) => '%PostType%',
                    __( 'Post status', 'activity-log-wp-seo' ) => '%PostStatus%',
                ],
                [
                    __( 'View the post in editor', 'wp-security-audit-log' ) => '%EditorLinkPost%',
                ],
                'yoast-seo-metabox',
                'enabled',
            ],
        ],

        __( 'Website Changes', 'activity-log-wp-seo' ) => [
            [
                8809,
                WSAL_INFORMATIONAL,
                __( 'User changed the Title Separator', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Title separator</strong> in the plugin settings to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous separator', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],
            // 8810/8811 Are obsolete but remain for backwards compatibilty.
            [
                8810,
                WSAL_MEDIUM,
                __( 'User changed the Homepage Title', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Knowledge Graph & Schema.org</strong> in the plugin settings to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous title', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],
            [
                8811,
                WSAL_MEDIUM,
                __( 'User changed the Homepage Meta description', 'activity-log-wp-seo' ),
                __( 'Changed the homepage Meta description.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous description', 'activity-log-wp-seo' ) => '%old%',
                    __( 'New description', 'activity-log-wp-seo' ) => '%new%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],
            [
                8812,
                WSAL_INFORMATIONAL,
                __( 'User changed the Knowledge Graph & Schema.org', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Knowledge Graph & Schema.org</strong> in the plugin settings to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous setting', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],
        ],

        __( 'Plugin Settings Changes', 'activity-log-wp-seo' ) => [
            [
                8815,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled SEO analysis in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the status of the <strong>SEO Analysis</strong> plugin feature.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8816,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled readability analysis in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Readability Analysis</strong> plugin feature.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8817,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled cornerstone content in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Cornerstone content</strong> plugin feature.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8818,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled the text link counter in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Text link counter</strong> plugin feature.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8819,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled XML sitemaps in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>XML sitemap</strong> plugin feature.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8820,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled ryte integration in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Ryte integration</strong> plugin feature.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8821,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled the admin bar menu in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the <strong>Admin bar menu</strong> plugin feature.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8822,
                WSAL_INFORMATIONAL,
                __( 'User changed the Posts/Pages meta description template in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the %SEOPostType% Meta description template to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous template', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],
            [
                8824,
                WSAL_LOW,
                __( 'User set the option to show the Yoast SEO Meta Box for Posts/Pages in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the status of the option to show the <strong>Yoast SEO Meta Box</strong> for %SEOPostType%.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8825,
                WSAL_LOW,
                __( 'User Enabled/Disabled the advanced or schema settings for authors in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the setting <strong>Security: advanced or schema settings for authors</strong> in the plugin.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8826,
                WSAL_LOW,
                __( 'User Enabled/Disabled redirecting attachment URLs in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the status of the setting <strong>Redirect attachment URLs</strong> in the <strong>Media</strong> search appearance settings.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],

            [
                8827,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled Usage tracking in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the status of the <strong>Usage tracking</strong> plugin setting.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8828,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled REST API: Head endpoint in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the status of the <strong>REST API: Head endpoint</strong> plugin setting.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8829,
                WSAL_LOW,
                __( 'User Added/Removed a social profile in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the URL of an <strong>Organization social profile</strong>.', 'activity-log-wp-seo' ),
                [
                    __( 'Social media profile', 'activity-log-wp-seo' ) => '%social_profile%',
                    __( 'Old URL', 'activity-log-wp-seo' ) => '%old_url%',
                    __( 'New URL', 'activity-log-wp-seo' ) => '%new_url%',
                ],
                [],
                'yoast-seo',
                'added',
            ],

            //Multisite
            [
                8838,
                WSAL_HIGH,
                __( 'User changed who should have access to the setting on Network Level', 'activity-log-wp-seo' ),
                __( 'Changed the setting <strong>Who should have access to the Yoast SEO settings</strong> on a multisite network to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous setting', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8839,
                WSAL_LOW,
                __( 'New sites inherit their SEO options from site changed', 'activity-log-wp-seo' ),
                __( 'Changed the setting <strong>New sites in the network inherit their SEO settings from this site</strong> to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous setting', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8840,
                WSAL_MEDIUM,
                __( "Reset the site's SEO settings to default", 'activity-log-wp-seo' ),
                __( 'Reset the SEO settings of the site %old% to default.', 'activity-log-wp-seo' ),
                [
                    __( 'Site ID', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'enabled',
            ],

            // Network features enabled / disabled
            [
                8842,
                WSAL_HIGH,
                __( 'Disabled a plugin feature networkwide', 'activity-log-wp-seo' ),
                __( 'Disabled the plugin feature %feature_name% networkwide.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'disabled',
            ],
            [
                8843,
                WSAL_HIGH,
                __( 'Allowed site administrators to toggle a plugin feature on or off for their site', 'activity-log-wp-seo' ),
                __( 'Allowed site administrators to toggle the plugin feature %feature_name% on or off on their sites.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],

            [
                8813,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled the option Show Posts/Pages in Search Results in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the status of the content type setting to show %SEOPostType% in search results.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8814,
                WSAL_INFORMATIONAL,
                __( 'User changed the Posts/Pages title template in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the %SEOPostType% SEO title template in the plugin settings to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous template', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],

            [
                8830,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled the taxonomies to show in search results setting in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the status of the taxonomies setting to show %SEOPostType% in search results.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8831,
                WSAL_LOW,
                __( 'User Modified the SEO title template for a taxonomy in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the SEO title template for the taxonomy %SEOPostType% to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous title', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],
            [
                8832,
                WSAL_LOW,
                __( 'User Modified the Meta description template for a taxonomy in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the Meta description template for the taxonomy %SEOPostType% to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous description', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],
            [
                8833,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled Author or Data archives in Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the status of the %archive_type% archives in the plugin settings.' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8834,
                WSAL_MEDIUM,
                __( 'User Enabled/Disabled showing Author or Date archives in search results in Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the status of the setting to show the %archive_type% archives in the search results.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8835,
                WSAL_LOW,
                __( 'User Modified the SEO title template for Author or Date archives in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the SEO title template for the %archive_type% archives to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous title', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],
            [
                8836,
                WSAL_LOW,
                __( 'User Modified the SEO Meta description for Author or Date archives in the Yoast SEO plugin settings', 'activity-log-wp-seo' ),
                __( 'Changed the Meta description template for the %archive_type% archives to %new%.', 'activity-log-wp-seo' ),
                [
                    __( 'Previous description', 'activity-log-wp-seo' ) => '%old%',
                ],
                [],
                'yoast-seo',
                'modified',
            ],
            [
                8837,
                WSAL_LOW,
                __( 'User Enabled/Disabled the SEO meta box for a taxonomy', 'activity-log-wp-seo' ),
                __( 'Changed the status of the setting to show SEO settings for the %SEOPostType% taxonomy.', 'activity-log-wp-seo' ),
                [],
                [],
                'yoast-seo',
                'enabled',
            ],
            [
                8841,
                WSAL_MEDIUM,
                __( "User Added/Removed/Modified a Webmaster Tools verification code for a search engine", 'activity-log-wp-seo' ),
                __( "Changed the <strong>Webmaster Tools verification code</strong> for a search engine.", 'activity-log-wp-seo' ),
                [
                    __( 'Search engine', 'activity-log-wp-seo' ) => '%search_engine_type%',
                    __( 'Previous code', 'activity-log-wp-seo' ) => '%old%',
                    __( 'New code', 'activity-log-wp-seo' )      => '%new%',
                ],
                [],
                'yoast-seo',
                'added',
            ],
        ],
    ],
];
